#!/bin/sh
#
# GABI - Genome Assembly by Bayesian Inference
#
# Copyright 2013, Brown University, Providence, RI. All Rights Reserved.
#
# This file is part of GABI.
#
# GABI is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# GABI is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with GABI.  If not, see <http://www.gnu.org/licenses/>.

set -e -x

bowtie2-build $3 $3 1>&2
bowtie2 -1 $1 -2 $2 -x $3 --all --no-mixed -p $4 -S /tmp/gabi-cgal-wrapper.sam -I 284 -X 446 1>&2
bowtie2convert /tmp/gabi-cgal-wrapper.sam 1>&2
N=$(grep -c '^+' unmapped.txt)
align $3 $N $4 1>&2
set +e
CGAL=`cgal $3`
if [ $? -gt 0 ]
then
	echo "-inf"
else
	echo $CGAL
fi

